<?php
require_once ("../../config/Cado.php");
require_once ("cProveedor.php");
$oProveedor = new cProveedor();
if($_POST['action']=="editar"){
	$dts=$oProveedor->mostrarUno($_POST['pro_id']);
	$dt = mysqli_fetch_array($dts);
	$tip=$dt['tb_proveedor_tip'];
	$alias=$dt['tb_proveedor_alias'];
	$nom=$dt['tb_proveedor_nom'];
	$doc=$dt['tb_proveedor_doc'];
	$dir=$dt['tb_proveedor_dir'];
	$con=$dt['tb_proveedor_con'];
	$tel=$dt['tb_proveedor_tel'];
	$ema=$dt['tb_proveedor_ema'];
	mysqli_free_result($dts);
}
//echo $tip;exit;
?>
				<form role="form" id="for_pro" method="POST">
					<input name="action_proveedor" id="action_proveedor" type="hidden" value="<?php echo $_POST['action']?>">
					<input name="hdd_pro_id" id="hdd_pro_id" type="hidden" value="<?php echo $_POST['pro_id']?>">
					<div class="box-header">
						<h3 class="box-title">Registro de Proveedores</h3>
					</div>
					<div class="box-body">
						<div class="form-group">
							<div class="row">
								<div class="col-lg-2 col-xs-6">
									<label for="cmb_pro_tip" >Tipo</label>
									<?php if ($_POST['action']=='editar'){?>
									<select name="cmb_pro_tip" id="cmb_pro_tip"  class="form-control">
										<?php if ($tip==1) {?>
										<option value="">--Seleccione--</option>
										<option value="1" selected >DNI</option>
										<option value="2">RUC</option>	
										<?php }else if ($tip==2) {?>
										<option value="">--Seleccione--</option>
										<option value="1">DNI</option>
										<option value="2" selected>RUC</option>	
										<?php }
										?>
									</select>
									<?php }else if ($_POST['action']=='insertar') {?>
									<select name="cmb_pro_tip" id="cmb_pro_tip"  class="form-control">
										<option value="">--Seleccione--</option>
										<option value="1">DNI</option>
										<option value="2" selected >RUC</option>
									</select>
									<?php } ?>
								</div>
								<div class="col-lg-2 col-xs-6">
									<label for="txt_pro_doc">RUC/DNI:</label>
									<input name="txt_pro_doc" autocomplete="off" title="Ingrese RUC y presione ENTER para consultar en sunat." id="txt_pro_doc" type="text" value="<?php echo $doc?>" maxlength="11" class="form-control">
								</div>
								
								<div class="col-lg-2 col-xs-12">
									<label for="txt_pro_alias">Alias:</label>
									<input name="txt_pro_alias" autocomplete="off" id="txt_pro_alias" type="text" value="<?php echo $alias?>" class="form-control">
								</div>
								
								<div class="col-lg-6 col-xs-12">
									<label for="txt_pro_nom">Proveedor:</label>
									<input name="txt_pro_nom" autocomplete="off" id="txt_pro_nom" type="text" value="<?php echo $nom?>" class="form-control">
								</div>
							</div>
							<div class="row">
								<div class="col-lg-12 col-xs-12">
									<label for="txt_pro_dir">Dirección:</label>
									 <input name="txt_pro_dir" autocomplete="off" id="txt_pro_dir" type="text" value="<?php echo $dir?>" class="form-control">
								</div>
							</div>
							<div class="row">
								<div class="col-lg-4 col-xs-6" style="display:none;" >
									<label for="txt_pro_con">Contacto:</label>
									<input name="txt_pro_con" autocomplete="off" id="txt_pro_con" type="text" value="<?php echo $con?>" class="form-control">
								</div>
								<div class="col-lg-4 col-xs-6">
									<label for="txt_pro_tel">Teléfono:</label>
									<input name="txt_pro_tel" autocomplete="off" type="text" id="txt_pro_tel" value="<?php echo $tel?>"  class="form-control">
								</div>
								<div class="col-lg-4 col-xs-12">
									<label for="txt_pro_ema">Email:</label>
									<input name="txt_pro_ema" autocomplete="off" type="text" id="txt_pro_ema" value="<?php echo $ema?>"  class="form-control">
								</div>
							</div>
						</div>
					</div>
				</form>
				<div class="box-footer float-right">
					 <button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
					<button class="btn btn-primary" id="btn_save">Guardar</button>
				</div>
			
<script type="text/javascript">



function buscarruc(){	
	toastr["info"]('Buscando datos...');
	 $('#div_mensaje_dialog').modal('show');
	
	$.ajax({	
		type: "POST",					
		url: "../../libreriasphp/sunat/consulta.php",
		async:true,
		dataType: "json",                      
		data: ({
			ruc: $("#txt_pro_doc").val()
		}),
		beforeSend: function() {
			var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(divmen);
		},
		success: function(data){
			
			$('#div_mensaje_dialog').modal('hide');
			
				var datos = eval(data);
							
				$('#txt_pro_nom').val('');
				$('#txt_pro_dir').val('');
				
				if(datos['api_est']==true){
					$('#txt_pro_doc').val(datos['api_doc']);
					$('#txt_pro_nom').val(datos['api_nom']);
					$('#txt_pro_dir').val(datos['api_dir']);
					toastr["success"](datos['api_msj']);
				}else{
					
					if(datos['api_estapi']==0 ){
						toastr["warning"](datos['api_msj']);
					}else if(datos['api_estapi']==1 ){
						toastr["error"](datos['api_msj']);
					}
					
				}
				
				
			
		},
		complete: function(){			
		
		}
	});   
		
}
function buscardni(){	
	toastr["info"]('Buscando en Reniec...');
	$('#div_mensaje_dialog').modal('show');
	
	$.ajax({	
		type: "POST",					
		url: "../../libreriasphp/reniec/consulta.php",
		async:true,
		dataType: "json",                      
		data: ({
			dni: $("#txt_pro_doc").val()
		}),
		beforeSend: function() {
			var divmen = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(divmen);
		},
		success: function(data){
			
				$('#div_mensaje_dialog').modal('hide');
				
				var datos = eval(data);
				var nada ='nada';
				if(datos[0]==nada){
				
					toastr["error"]('DNI no válido o no registrado');
					
				}else{
					
					if(datos[4] == null ){
						toastr["error"]('Dni no encontrado o servicio no disponible');
					}else{
					
					$('#txt_pro_doc').val(datos[0]);
					$('#txt_pro_nom').val(datos[4] +' '+ datos[2]+' '+ datos[3]);
					$('#txt_pro_dir').val('--');
					toastr["success"]('Datos encontrados.');
				}	
			}	
				
		},
		complete: function(){			
		
		}
	});   
		
}
	
	$('#txt_pro_nom, #txt_pro_dir, #txt_pro_con, #txt_pro_alias').change(function(){
		$(this).val($(this).val().toUpperCase());
	});
	$("#btn_save").click(function() {
		$("#for_pro").submit();
	});
	$(document).ready(function() {
		$('#for_pro').bootstrapValidator({
	      framework: 'bootstrap',
	      message: 'This value is not valid',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: { 
	      	cmb_pro_tip: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_pro_doc: {
	      		group: '.col-lg-2',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			},
	      			regexp: {
	      				regexp: /^[0-9]+$/,
	      				message: 'Caracteres no permitidos'
	      			}
	      		}
	      	},
	      	txt_pro_nom: {
	      		group: '.col-lg-8',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      	txt_pro_dir: {
	      		group: '.col-lg-12',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			}
	      		}
	      	},
	      }
	  }).on('success.form.bv', function(e) {
	  	
	  	$.ajax({
					type: "POST",
					url: "../proveedor/proveedor_reg.php",
					async:true,
					dataType: "json",
					data: $("#for_pro").serialize(),
					beforeSend: function(){
					
					},
					success: function(data){
						
						
					toastr["success"](data.pro_msj);	
				
					<?php 					
					if($_POST['vista']=="proveedor_tabla")
					{
					?>
					$('.modal').modal('hide');
					$('.in').removeClass('modal-backdrop');		
						
					<?php 
					}
					?>	
						
					<?php 					
					if($_POST['vista']=="compra")
					{
					?>
						$('#div_proveedor_form_dialog').modal('hide');	
						proveedor_cargar_datos(data.pro_id);
						
					<?php 
					}
					?>
									
					},
					complete: function(){
						<?php
						if($_POST['vista']=="proveedor_tabla")
						{
							echo $_POST['vista'].'();';
						}
						?>
					}
				}); 
	  });
	});
	
	$('#cmb_pro_tip').focus();
		
		$('#cmb_pro_tip').change(function(ev) {
			
				limpiarInputs();
				
		});
		
		$('#txt_pro_doc').keydown(function(ev) {
			if(ev.keyCode==13){
				
				
				if($("#cmb_pro_tip").val()==""){
				toastr["warning"]('Seleccione un tipo de docuemtno...');
				$('#cmb_pro_tip').focus(); 
	
				}else if($("#cmb_pro_tip").val()=="1"){
				$('#txt_pro_nom').focus();
				buscardni();
				}else if($("#cmb_pro_tip").val()=="2"){
					buscarruc();
				}		
				return false;
				
				
				}
		});
		
		$('#txt_pro_alias').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_nom').focus(); return false;}
		});
		$('#txt_pro_nom').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_dir').focus(); return false;}
		});
		$('#txt_pro_dir').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_con').focus(); return false;}
		});
		$('#txt_pro_con').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_tel').focus(); return false;}
		});
		$('#txt_pro_tel').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_ema').focus(); return false;}
		});
		$('#txt_pro_ema').keydown(function(ev) {
			if(ev.keyCode==13){$('#btn_save').focus(); return false;}
		});
	
	
	function limpiarInputs(){
		$('#txt_pro_doc').val('');
		$('#txt_pro_alias').val('');
		$('#txt_pro_nom').val('');
		$('#txt_pro_dir').val('');
		$('#txt_pro_con').val('');
		$('#txt_pro_tel').val('');
		$('#txt_pro_ema').val('');
		$('#txt_pro_doc').focus();
	}
	
	
</script>